summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakub Moc <jakub@gentoo.org>2007-11-12 10:49:20 +0000
committerJakub Moc <jakub@gentoo.org>2007-11-12 10:49:20 +0000
commit55aad704157670957c8c05355be5cf90509a0520 (patch)
treedb9ec2125a7c47ce5c53d53ae103bc413d59b1ee /sys-power
parentmedia-video/ov51x-jpeg: linux-headers is part of system, no need for the depe... (diff)
downloadsunrise-55aad704157670957c8c05355be5cf90509a0520.tar.gz
sunrise-55aad704157670957c8c05355be5cf90509a0520.tar.bz2
sunrise-55aad704157670957c8c05355be5cf90509a0520.zip
sys-power/acpi-support: Nuke old.
svn path=/sunrise/; revision=5058
Diffstat (limited to 'sys-power')
-rw-r--r--sys-power/acpi-support/ChangeLog4
-rw-r--r--sys-power/acpi-support/Manifest5
-rw-r--r--sys-power/acpi-support/acpi-support-0.95.ebuild85
-rw-r--r--sys-power/acpi-support/files/acpi-support-0.95-gentoo.patch296
4 files changed, 5 insertions, 385 deletions
diff --git a/sys-power/acpi-support/ChangeLog b/sys-power/acpi-support/ChangeLog
index b70ca48e3..4d3028c2c 100644
--- a/sys-power/acpi-support/ChangeLog
+++ b/sys-power/acpi-support/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 12 Nov 2007; Jakub Moc <jakub@gentoo.org>
+ -files/acpi-support-0.95-gentoo.patch, -acpi-support-0.95.ebuild:
+ Nuke old.
+
09 Nov 2007; azazello <gentoo@horizon.ath.cx>
files/acpi-support-0.103-gentoo.patch:
tweak patch
diff --git a/sys-power/acpi-support/Manifest b/sys-power/acpi-support/Manifest
index 6f4132eb1..3ddd24dde 100644
--- a/sys-power/acpi-support/Manifest
+++ b/sys-power/acpi-support/Manifest
@@ -1,8 +1,5 @@
AUX acpi-support-0.103-gentoo.patch 15638 RMD160 15f003fae0d03674cc66b8b108551a2ae1527057 SHA1 3d188ee26aa66739fa3891e480b3512e4c805ab2 SHA256 cd39a858aca30e30a44ad66f101139a90cced3f17e62886346e10a74a46ea8ce
-AUX acpi-support-0.95-gentoo.patch 10738 RMD160 704f66b855fc4bebae197b8817ff50bc0260b5e5 SHA1 1b2349a363fa68fc738d016efef204d9e579b2a8 SHA256 c95ca160931bbfa0837884d2b9034bebc66bed016d54e2182cf4883bab053b5f
DIST acpi-support_0.103.tar.gz 40874 RMD160 36a2fb06bfff21a8523d1df9ce917a2603f7c155 SHA1 058dabab97258cca69f8a48a31c5805d0da3ec5b SHA256 c456b9275077a3a0667a683163ba6574c8d7661d2a9a68a19dab8ef0fc0f2bfe
-DIST acpi-support_0.95.tar.gz 43813 RMD160 ae8cbddb8f6a18d033d528c2f7a169c9b23f5e89 SHA1 5aac3d6f33b9c24cfc3a2ae90b20d6f7b14b5ff0 SHA256 c717b06b32cb427d2f927711f0cf7066ad117475f29c1fea5394bbadd2e8a4a9
EBUILD acpi-support-0.103.ebuild 2375 RMD160 d9a68f1d7c228e56925f67643d3251255b9d47a3 SHA1 7161dc25a7096a38902f71a3af9566adbf14bbb7 SHA256 a6f6c29d35dfc3e1eed00f2a9c6c1c59bbcacbbe6c3633b4458e0c5c1abc6006
-EBUILD acpi-support-0.95.ebuild 2374 RMD160 9b76753c62ed3fb27ec843b994bd0b5b23cc0364 SHA1 392da43e993306f78efd70ef08364fc3d1b03526 SHA256 59a1847b828f510c14ed25228e9267a7c7f4eb7105104f194337ff82954931a3
-MISC ChangeLog 1782 RMD160 767694bc35e325327e290c1079323867143b1c31 SHA1 d24d3419eaef1e5b89f22a49e4198f01a9ef894a SHA256 b15b2b793fc1ba5d88efcc29e05b6c54a03dab3e168b4a6328f5deb5317dbd71
+MISC ChangeLog 1907 RMD160 80ef19b18e92edfc068764fe11c7dbba0c07285f SHA1 9626329fe7b649f279949b2b8d4461279ec0114c SHA256 a8541b9fab3058114dd37cf965775a36f0d6005625ef14f475ce3bff1d97b5bc
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/sys-power/acpi-support/acpi-support-0.95.ebuild b/sys-power/acpi-support/acpi-support-0.95.ebuild
deleted file mode 100644
index cda7aa500..000000000
--- a/sys-power/acpi-support/acpi-support-0.95.ebuild
+++ /dev/null
@@ -1,85 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit eutils
-
-DESCRIPTION="Ubuntu scripts and events for acpid, power management, and vendor-specific laptop configuration"
-HOMEPAGE="http://packages.ubuntu.com/feisty/admin/acpi-support"
-SRC_URI="http://archive.ubuntu.com/ubuntu/pool/main/a/acpi-support/acpi-support_${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~x86"
-IUSE="X hibernate-script video_cards_radeon"
-
-DEPEND=""
-RDEPEND="sys-power/acpid
- sys-apps/kbd
- sys-apps/dmidecode
- sys-apps/vbetool
- sys-apps/ethtool
- sys-power/powermgmt-base
- hibernate-script? ( sys-power/hibernate-script )
- X? ( x11-apps/xset )
- video_cards_radeon? ( app-laptop/radeontool )"
-
-# Say thanks to whoever packaged this...
-S=${WORKDIR}/${PN}-0.94
-
-src_unpack() {
- unpack ${A}
- epatch "${FILESDIR}/${P}-gentoo.patch"
- use hibernate-script && sed -i '/USE_HIBERNATE_SCRIPT=true/ s/# //' "${S}/acpi-support"
- use video_cards_radeon && sed -i '/RADEON_LIGHT=true/ s/# //' "${S}/acpi-support"
- use X || sed -i '/xset/ s/\(.*\)/#\1/' "${S}/"{lid.sh,lib/screenblank}
- sed -i "s!/etc/default/acpi-support!/etc/conf.d/${PN}!" "${S}/"{*.sh,vbesave} || die "sed failed"
-}
-
-src_compile() {
- sed -i 's/strip acpi_fakekey//' Makefile
- emake || die "emake failed"
-}
-
-src_install() {
- dobin acpi_fakekey
-
- insinto /usr/share/${PN}
- doins key-constants lib/*
-
- insinto /etc/acpi
- insopts -m755
- doins *.sh
- doins -r *.d events
-
- doconfd ${PN}
- newinitd debian/init.d ${PN}
-
- keepdir /etc/acpi/{local,{resume,battery,events,suspend,start,ac}.d} /var/lib/${PN}
- dodoc README
-}
-
-pkg_postinst() {
- elog "You may wish to read the Gentoo Linux Power Management Guide,"
- elog "which can be found online at:"
- elog
- elog "http://www.gentoo.org/doc/en/power-management-guide.xml"
- elog
- elog "The following packages provide additional functionality:"
- elog
- elog "app-laptop/laptop-mode-tools"
- elog "app-laptop/toshset"
- elog "sys-power/kpowersave"
- elog "sys-power/powersave"
- elog "sys-apps/855resolution"
- elog "sys-apps/pcmciautils"
- elog
- elog "To initialize power management options for your devices at"
- elog "system startup, please run the following:"
- elog
- elog "rc-update add ${PN} default"
- elog
- elog "This package will not work until you restart acpid. Please run the following:"
- elog
- elog "/etc/init.d/acpid restart"
-}
diff --git a/sys-power/acpi-support/files/acpi-support-0.95-gentoo.patch b/sys-power/acpi-support/files/acpi-support-0.95-gentoo.patch
deleted file mode 100644
index 3ab6d1065..000000000
--- a/sys-power/acpi-support/files/acpi-support-0.95-gentoo.patch
+++ /dev/null
@@ -1,296 +0,0 @@
-diff -ur orig/acpi-support-0.94/acpi-support work/acpi-support-0.94/acpi-support
---- orig/acpi-support-0.94/acpi-support 2006-09-15 12:47:55.000000000 -0400
-+++ work/acpi-support-0.94/acpi-support 2007-04-13 20:31:15.000000000 -0400
-@@ -67,3 +67,11 @@
- # Switch to laptop-mode on battery power - off by default as it causes odd
- # hangs on some machines
- ENABLE_LAPTOP_MODE=false
-+
-+# Disable wake-on-LAN for wired Ethernet devices. WOL is on by default on some
-+# laptops. Disabling it can save power during sleep. (Requires ethtool)
-+DISABLE_WOL=false
-+
-+# Use hibernate-script to handle hibernation and sleep. Hibernate-script uses
-+# configuration files in /etc/hibernate and does not use the options above.
-+# USE_HIBERNATE_SCRIPT=true
-diff -ur orig/acpi-support-0.94/debian/init.d work/acpi-support-0.94/debian/init.d
---- orig/acpi-support-0.94/debian/init.d 2006-03-28 11:26:44.000000000 -0500
-+++ work/acpi-support-0.94/debian/init.d 2007-04-12 10:24:25.000000000 -0400
-@@ -1,39 +1,37 @@
--#!/bin/bash
-+#!/sbin/runscript
- # INIT script to check whether we're on batteries, and so start with laptop
- # mode etc enabled.
-
- # BUGS: unless we start *really* late, we have no way of throttling
- # xscreensaver, since it won't be there to command.
--. /usr/share/acpi-support/power-funcs
--
--test -f /lib/lsb/init-functions || exit 1
--. /lib/lsb/init-functions
--
--test -d /var/lib/acpi-support || exit 0
--
--shopt -s nullglob
--
--case "$1" in
-- start)
-- log_begin_msg "Checking battery state..."
-- if [ `echo /proc/acpi/ac_adapter/*` ]; then
-- /etc/acpi/power.sh
-- fi
-- # Source everything in /etc/acpi/start.d/
-- for SCRIPT in /etc/acpi/start.d/*.sh; do
-- . $SCRIPT
-- done
-- log_end_msg 0
-- ;;
-- stop)
-- log_begin_msg "Disabling power management..."
-- if [ `echo /proc/acpi/ac_adapter/*` ]; then
-- /etc/acpi/power.sh stop
-- fi
-- log_end_msg 0
-- ;;
-- *)
-- ;;
--esac
--
-
-+depend() {
-+ need acpid
-+}
-+
-+start() {
-+ ebegin "Starting acpi-support"
-+ . /usr/share/acpi-support/power-funcs
-+
-+ test -d /var/lib/acpi-support || eend 0
-+
-+ shopt -s nullglob
-+
-+ ebegin "Checking battery state..."
-+ if [ `echo /proc/acpi/ac_adapter/*` ]; then
-+ /etc/acpi/power.sh
-+ fi
-+ # Source everything in /etc/acpi/start.d/
-+ for SCRIPT in /etc/acpi/start.d/*.sh; do
-+ . $SCRIPT
-+ done
-+ eend 0
-+}
-+
-+stop() {
-+ ebegin "Disabling power management..."
-+ if [ `echo /proc/acpi/ac_adapter/*` ]; then
-+ /etc/acpi/power.sh stop
-+ fi
-+ eend 0
-+}
-Only in work/acpi-support-0.94/events: ibm-ultrabay-eject
-Only in work/acpi-support-0.94/events: ibm-ultrabay-insert
-diff -ur orig/acpi-support-0.94/hibernatebtn.sh work/acpi-support-0.94/hibernatebtn.sh
---- orig/acpi-support-0.94/hibernatebtn.sh 2006-02-06 09:54:47.000000000 -0500
-+++ work/acpi-support-0.94/hibernatebtn.sh 2007-04-12 10:25:25.000000000 -0400
-@@ -1,3 +1,3 @@
- #!/bin/bash
--. /usr/share/acpi-support/key-constants
--acpi_fakekey $KEY_SUSPEND
-+
-+. /etc/acpi/hibernate.sh
-diff -ur orig/acpi-support-0.94/hibernate.sh work/acpi-support-0.94/hibernate.sh
---- orig/acpi-support-0.94/hibernate.sh 2006-09-15 16:43:46.000000000 -0400
-+++ work/acpi-support-0.94/hibernate.sh 2007-04-13 20:22:19.000000000 -0400
-@@ -8,6 +8,11 @@
- exit;
- fi
-
-+if [[ $USE_HIBERNATE_SCRIPT == true ]] && [[ -x /usr/sbin/hibernate ]] ; then
-+ /usr/sbin/hibernate
-+ exit
-+fi
-+
- # Unset video posting - it's not needed for suspend to disk
- unset POST_VIDEO
- unset USE_DPMS
-diff -ur orig/acpi-support-0.94/lib/policy-funcs work/acpi-support-0.94/lib/policy-funcs
---- orig/acpi-support-0.94/lib/policy-funcs 2006-05-19 16:21:58.000000000 -0400
-+++ work/acpi-support-0.94/lib/policy-funcs 2007-04-12 10:27:15.000000000 -0400
-@@ -1,6 +1,6 @@
- CheckPolicy() {
- if pidof gnome-power-manager kpowersave > /dev/null ||
-- (pidof dcopserver > /dev/null && test -x /usr/bin/dcop && /usr/bin/dcop kded kded loadedModules | grep -q klaptopdaemon) ; then
-+ (pidof dcopserver > /dev/null && test -x /usr/kde/3.5/bin/dcop && /usr/kde/3.5/bin/dcop kded kded loadedModules | grep -q klaptopdaemon) ; then
- echo 0;
- else
- echo 1;
-diff -ur orig/acpi-support-0.94/lib/power-funcs work/acpi-support-0.94/lib/power-funcs
---- orig/acpi-support-0.94/lib/power-funcs 2005-11-29 12:50:02.000000000 -0500
-+++ work/acpi-support-0.94/lib/power-funcs 2007-04-12 10:27:51.000000000 -0400
-@@ -6,9 +6,9 @@
- POWERSTATE="/var/lib/acpi-support/powerstate"
-
- getXuser() {
-- user=`finger| grep -m1 ":$displaynum " | awk '{print $1}'`
-+ user=`who| grep -m1 ":$displaynum " | awk '{print $1}'`
- if [ x"$user" = x"" ]; then
-- user=`finger| grep -m1 ":$displaynum" | awk '{print $1}'`
-+ user=`who| grep -m1 ":$displaynum" | awk '{print $1}'`
- fi
- if [ x"$user" != x"" ]; then
- userhome=`getent passwd $user | cut -d: -f6`
-diff -ur orig/acpi-support-0.94/resume.d/13-855-resolution-set.sh work/acpi-support-0.94/resume.d/13-855-resolution-set.sh
---- orig/acpi-support-0.94/resume.d/13-855-resolution-set.sh 2005-09-26 20:29:27.000000000 -0400
-+++ work/acpi-support-0.94/resume.d/13-855-resolution-set.sh 2007-04-12 19:34:31.000000000 -0400
-@@ -1,7 +1,6 @@
- #!/bin/bash
-
- if [ -x /usr/sbin/855resolution ]; then
-- . /etc/default/855resolution
- if [ "$MODE" != "" ] && [ "$XRESO" != "" ] && [ "$YRESO" != "" ]; then
- /etc/init.d/855resolution start;
- fi
-diff -ur orig/acpi-support-0.94/resume.d/40-infra-red.sh work/acpi-support-0.94/resume.d/40-infra-red.sh
---- orig/acpi-support-0.94/resume.d/40-infra-red.sh 2006-04-21 10:12:54.000000000 -0400
-+++ work/acpi-support-0.94/resume.d/40-infra-red.sh 2007-04-12 10:28:33.000000000 -0400
-@@ -3,7 +3,6 @@
- # Restart IR if necessary
- if [ -f /var/run/irdadev ] && [ x$RESTART_IRDA = xtrue ]; then
- rm /var/run/irdadev;
-- /etc/init.d/irda-setup start;
-- /etc/init.d/irda-utils start;
-+ /etc/init.d/irda start;
- fi;
-
-diff -ur orig/acpi-support-0.94/resume.d/49-855-resolution-set.sh work/acpi-support-0.94/resume.d/49-855-resolution-set.sh
---- orig/acpi-support-0.94/resume.d/49-855-resolution-set.sh 2005-09-26 20:29:27.000000000 -0400
-+++ work/acpi-support-0.94/resume.d/49-855-resolution-set.sh 2007-04-12 19:34:31.000000000 -0400
-@@ -1,7 +1,6 @@
- #!/bin/bash
-
- if [ -x /usr/sbin/855resolution ]; then
-- . /etc/default/855resolution
- if [ "$MODE" != "" ] && [ "$XRESO" != "" ] && [ "$YRESO" != "" ]; then
- /etc/init.d/855resolution start;
- fi
-diff -ur orig/acpi-support-0.94/resume.d/62-ifup.sh work/acpi-support-0.94/resume.d/62-ifup.sh
---- orig/acpi-support-0.94/resume.d/62-ifup.sh 2006-04-21 10:13:34.000000000 -0400
-+++ work/acpi-support-0.94/resume.d/62-ifup.sh 2007-04-12 10:29:11.000000000 -0400
-@@ -3,6 +3,6 @@
- # Bring up the interfaces (this should probably be left up to some policy
- # manager, but at the moment we just bring back whatever we ifdowned)
- for x in $INTERFACES; do
-- ifup $x &
-+ /etc/init.d/net.$x start &
- done
-
-diff -ur orig/acpi-support-0.94/resume.d/67-sound.sh work/acpi-support-0.94/resume.d/67-sound.sh
---- orig/acpi-support-0.94/resume.d/67-sound.sh 2006-04-21 10:19:38.000000000 -0400
-+++ work/acpi-support-0.94/resume.d/67-sound.sh 2007-04-13 13:27:05.000000000 -0400
-@@ -1,7 +1,7 @@
- #!/bin/sh
-
- # Get sound back
--if [ -x /etc/init.d/alsa-utils ]; then
-- /etc/init.d/alsa-utils start
-+if [ -x /etc/init.d/alsasound ]; then
-+ /etc/init.d/alsasound start
- fi
-
-diff -ur orig/acpi-support-0.94/sleepbtn.sh work/acpi-support-0.94/sleepbtn.sh
---- orig/acpi-support-0.94/sleepbtn.sh 2006-02-06 09:55:00.000000000 -0500
-+++ work/acpi-support-0.94/sleepbtn.sh 2007-04-12 10:29:48.000000000 -0400
-@@ -1,3 +1,3 @@
- #!/bin/bash
--. /usr/share/acpi-support/key-constants
--acpi_fakekey $KEY_SLEEP
-+
-+. /etc/acpi/sleep.sh
-diff -ur orig/acpi-support-0.94/sleep.sh work/acpi-support-0.94/sleep.sh
---- orig/acpi-support-0.94/sleep.sh 2006-05-19 15:37:32.000000000 -0400
-+++ work/acpi-support-0.94/sleep.sh 2007-04-13 20:23:41.000000000 -0400
-@@ -16,6 +16,11 @@
- exit;
- fi
-
-+if [[ $USE_HIBERNATE_SCRIPT == true ]] && [[ -x /usr/sbin/hibernate ]] ; then
-+ /usr/sbin/hibernate --config-file=/etc/hibernate/ram.conf
-+ exit;
-+fi
-+
- if [ x$LOCK_SCREEN = xtrue ]; then
- if pidof xscreensaver > /dev/null; then
- for x in /tmp/.X11-unix/*; do
-diff -ur orig/acpi-support-0.94/suspend.d/50-irda-stop.sh work/acpi-support-0.94/suspend.d/50-irda-stop.sh
---- orig/acpi-support-0.94/suspend.d/50-irda-stop.sh 2006-04-21 11:05:47.000000000 -0400
-+++ work/acpi-support-0.94/suspend.d/50-irda-stop.sh 2007-04-12 10:30:31.000000000 -0400
-@@ -2,7 +2,7 @@
-
- # Stop IRDA if it's running
- if [ -f /var/run/irattach.pid ]; then
-- /etc/init.d/irda-utils stop
-+ /etc/init.d/irda stop
- killall -9 irattach
- fi
-
-Only in work/acpi-support-0.94/suspend.d: 52-disable-wol.sh
-diff -ur orig/acpi-support-0.94/suspend.d/55-down-interfaces.sh work/acpi-support-0.94/suspend.d/55-down-interfaces.sh
---- orig/acpi-support-0.94/suspend.d/55-down-interfaces.sh 2006-05-16 07:57:43.000000000 -0400
-+++ work/acpi-support-0.94/suspend.d/55-down-interfaces.sh 2007-04-12 10:30:52.000000000 -0400
-@@ -10,7 +10,7 @@
-
- # And shut them down
- for x in $INTERFACES; do
-- ifdown $x;
-+ /etc/init.d/net.$x stop;
- ifconfig $x down;
- done
-
-diff -ur orig/acpi-support-0.94/suspend.d/85-alsa-state.sh work/acpi-support-0.94/suspend.d/85-alsa-state.sh
---- orig/acpi-support-0.94/suspend.d/85-alsa-state.sh 2006-04-21 11:00:08.000000000 -0400
-+++ work/acpi-support-0.94/suspend.d/85-alsa-state.sh 2007-04-13 13:27:14.000000000 -0400
-@@ -1,7 +1,7 @@
- #!/bin/sh
-
- # Save the ALSA state
--if [ -x /etc/init.d/alsa-utils ]; then
-- /etc/init.d/alsa-utils stop
-+if [ -x /etc/init.d/alsasound ]; then
-+ /etc/init.d/alsasound stop
- fi
-
-Only in work/acpi-support-0.94: thinkpad-ultrabay-eject.sh
-Only in work/acpi-support-0.94: thinkpad-ultrabay-insert.sh
-diff -ur orig/acpi-support-0.94/vbesave work/acpi-support-0.94/vbesave
---- orig/acpi-support-0.94/vbesave 2006-05-03 16:31:51.000000000 -0400
-+++ work/acpi-support-0.94/vbesave 2007-04-12 10:31:29.000000000 -0400
-@@ -3,8 +3,6 @@
- test -x /usr/sbin/vbetool || exit 0
- set -e
-
--. /lib/lsb/init-functions
--
- test -f /etc/default/rcS && . /etc/default/rcS
- test -f /etc/default/acpi-support && . /etc/default/acpi-support
- test -f /usr/share/acpi-support/device-funcs && . /usr/share/acpi-support/device-funcs
-@@ -20,20 +18,16 @@
- fi
-
- DeviceConfig
-- log_begin_msg "Saving VESA state..."
- if [ "$SAVE_VBE_STATE" = "true" ]; then
- if [ "$VERBOSE" = no ]; then
- if ! vbetool vbestate save > $VBESTATE 2>/dev/null; then
-- log_end_msg $?
- exit 1
- fi
- else
- if ! vbetool vbestate save > $VBESTATE ; then
-- log_end_msg $?
- exit 1
- fi
- fi
-- log_end_msg 0
- fi
- ;;
- *)